﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Demo01.WindowsPhone.Resources;
using Windows.Networking.Proximity;

namespace Demo01.WindowsPhone
{
    public partial class MainPage : PhoneApplicationPage
    {
        private ProximityDevice device;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Recupera il device NFC del telefono.
            device = ProximityDevice.GetDefault();
        }

        private void publishButton_Click(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrWhiteSpace(messageTextBox.Text))
            {
                device.PublishMessage("Windows.Demo01", messageTextBox.Text, (s, messageId) =>
                    {
                        device.StopPublishingMessage(messageId);
                    });
            }
        }
    }
}